## com.mysql.jdbc
Class StatementImpl.CancelTask

    java.lang.Object
      java.util.TimerTask
          com.mysql.jdbc.StatementImpl.CancelTask

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  StatementImpl

     class StatementImpl.CancelTask

extends java.util.TimerTask

Thread used to implement query timeouts...Eventually we could be more efficient and have one thread with timers, but this is a straightforward and simple way to implement a feature that isn't used all that often.

Field Summary
`(package private) java.sql.SQLException` `caughtWhileCancelling`
`(package private) long` `connectionId`
`(package private) StatementImpl` `toCancel`

Constructor Summary
`StatementImpl.CancelTask(StatementImpl cancellee)`

Method Summary
`void` `run()`

Methods inherited from class java.util.TimerTask
`cancel, scheduledExecutionTime`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### connectionId

    long connectionId

### caughtWhileCancelling

    java.sql.SQLException caughtWhileCancelling

### toCancel

    StatementImpl toCancel

Constructor Detail

### StatementImpl.CancelTask

    StatementImpl.CancelTask(StatementImpl cancellee)
                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Specified by:
    `run` in class `java.util.TimerTask`